%global owner goldendict
%global commit 04d9dc43f67b102c7727228326c05eb82d87e4f2
%define __requires_exclude gstreamer1-plugins-bad-free

Name:		goldendict
Version:	1.5
Release:	0.19.RC2%{?dist}
Summary:	A feature-rich dictionary lookup program
License:	GPLv3+
URL:		http://goldendict.org
Source0:	https://github.com/%{owner}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5XmlPatterns)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5X11Extras)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5WebKit)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Xml)
BuildRequires:	libXtst-devel
BuildRequires:	hunspell-devel
BuildRequires:	libvorbis-devel
BuildRequires:	desktop-file-utils
BuildRequires:	phonon-devel
BuildRequires:	bzip2-devel
BuildRequires:	lzo-devel
BuildRequires:	libtiff-devel
BuildRequires:	eb-devel
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	libappstream-glib
ExcludeArch:	s390x

%description
Goldendict is a feature-rich dictionary lookup program.
The latest release has the following features:
Use of WebKit for an accurate articles' representation;
Support of multiple dictionary file formats;
Support MediaWiki-based sites to perform search;
Scan popup functionality.

%package docs
Summary: Documentation for %{name}
BuildArch: noarch

%description docs
Contain doc files of %{name}.

%prep
%autosetup -n %{name}-%{commit} -p1
rm -r qtsingleapplication
sed -e '/qtsingleapplication.pri/d' -i %{name}.pro

%build
%qmake_qt5 PREFIX=%{_prefix} CONFIG+=qtsingleapplication CONFIG+=no_ffmpeg_player
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
rm -rf %{buildroot}%{_datadir}/app-install
desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p %{buildroot}%{_datadir}/metainfo
cat > %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
EmailAddress: ikm@goldendict.org
SentUpstream: 2014-09-18
-->
<application>
  <id type="desktop">goldendict.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Look up definitions</summary>
  <description>
    <p>
      Goldendict is an application to look up the definitions of words. It has the ability to
      query both dictionaries saved on your local machine, and to query online dictionaries and
      encyclopedias such as Wikipedia, Wiktionary and Urban Dictionary.
    </p>
  </description>
  <url type="homepage">http://goldendict.org/</url>
  <screenshots>
    <screenshot type="default">http://goldendict.org/screenshots/sprechen-wiktionary.png</screenshot>
    <screenshot>http://goldendict.org/screenshots/damselfly-heady.png</screenshot>
  </screenshots>
  <!-- FIXME: change this to an upstream email address for spec updates
  <updatecontact>someone_who_cares@upstream_project.org</updatecontact>
   -->
</application>
EOF

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files docs
%{_datadir}/%{name}/help

%changelog
* Thu Feb 14 2019 Mosaab Alzoubi <moceap@hotmail.com> - 1.5-0.20.RC2
- Cant build on s390x check koji #1210158

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-0.19.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 26 2019 Mosaab Alzoubi <moceap@hotmail.com> - 1.5-0.18.RC2
- TRY TO FIX https://koji.fedoraproject.org/koji/taskinfo?taskID=32260066

* Mon Sep 24 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5-0.17.RC2
- Switched to Qt5 to fix major issues with HiDPI displays.
- Moved to latest snapshot to resolve issues with latest GCC compiler versions.
- Major SPEC cleanup.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-0.16.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-0.15.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-0.14.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-0.13.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.12.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-0.11.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-0.10.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.9.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.5-0.8.RC2
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.5-0.7.RC2
- Add an AppData file for the software center

* Sun Dec 14 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.5-0.6.RC1
- Use system qtsingleapplication instead of bundled one

* Sun Dec 14 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.5-0.5.RC2
- Update on 20141214
- Add libtiff-devel as BR
- Add eb-devel as BR
- Add -docs subpackage

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.4.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.3.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 17 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.5-0.2.RC1
- Use %%qmake_qt4 as suggestion by Christophe​r Meng‎ (‏cickumqt/gmail.com‏)
- Remove repeated BR.
- Remove locale install lines, included in makeinstall function.

* Tue Jan 14 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.5-0.1.RC1
- Update to 1.5RC.
- General clean of spec.
- Using source from GitHub.
- New URL.
- Remove 3 fixes and patches, fixed in upstream.
- Fix a date in changelog.
- Use new desktop-files Fedora method.
- DISABLE_INTERNAL_PLAYER=1 because ffmpeg not found in Fedora repos.
- Add bzip2-devel,lzo-devel to BRs.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 1.0.1-7
- Fix FTBFS for gcc-4.7

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.0.1-3
- Fix the path of hunspell dictionaries

* Fri Dec 10 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.0.1-2
- Change the categories to fix 592954

* Fri Dec 10 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.0.1-1
- New upstream

* Tue Oct 12 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-15
- New upstream

* Wed Aug 04 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-14
- Fix the git repo

* Wed Aug 04 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-13
- New upstream version

* Thu Jun 10 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-12
- New upstream version
- Better BGL support
- Updated translations
- Play audio from website

* Tue May 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-11
- Drop the patch files in favor of sed.
- Change to a more standard directory by removing app directory.
- Remove libzip-devel and kde-filesystem requirement.

* Tue May 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-10
- Clean up the spec file.
- Update to the latest upstream.
- Enhance dictiionary groups editing.
- Fix the scan popup issues more.
- Update the Chinese translation.

* Wed Apr 14 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-9
- Add kde-filesystem requirement.

* Sun Apr 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-8
- Patch the desktop file to conform the guideline.
- Clean up the spec file more.

* Fri Apr 09 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-7
- Clean up the spec file.
- Add ownership of the missing directories.

* Mon Mar 15 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-6
- Add missing translations.

* Sun Mar 07 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-5
- New upstream git.
- Add phonon-devel as build requirement.

* Sat Feb 06 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-4
- New upstream git. Fix some sound problem and scan popup problem.

* Sat Dec 26 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-3
- New upstream git. Fix punctuation indexing problem and audio problems.

* Thu Dec 10 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-2
- Add LICENSE.txt
- Change the group to Applications/System

* Wed Dec 9 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-1
- Initial Release
